oracle.cloud.scanning.api.config

## Class XMLElementResult

- java.lang.Object
- - oracle.cloud.scanning.api.config.Result
  - - oracle.cloud.scanning.api.config.XMLElementResult

-     public final class XMLElementResult
      extends Result

  A specialized `Result` object that is got against an XML element. This tells if the user needs to further scan the XML element only when the current element itself is valid.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class oracle.cloud.scanning.api.config.Result

      `Result.ResultSeverity`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XMLElementResult` | `ALLOWED_ALL`
    `static XMLElementResult` | `ALLOWED_BUT_CONTINUE`

    - ### Fields inherited from class oracle.cloud.scanning.api.config.Result

      `allowed, message, PASSED, severity`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isToProcessFurther()` Tells if the XML element needs to be further scanned.

    - ### Methods inherited from class oracle.cloud.scanning.api.config.Result

      `getMessage, getSeverity, isAllowed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALLOWED_BUT_CONTINUE

          public static final XMLElementResult ALLOWED_BUT_CONTINUE

    - #### ALLOWED_ALL

          public static final XMLElementResult ALLOWED_ALL

  - ### Method Detail

    - #### isToProcessFurther

          public boolean isToProcessFurther()

      Tells if the XML element needs to be further scanned.
      Returns:
        true if the element further needs to be scanned for its attributes and child elements, false if there is no restiction for this element,

        Users are expected to test first if `Result.isAllowed()` is true and then to use this method to continue processing the element.

Copyright © 2018 Oracle. All rights reserved.